name: CI

on:
  push:
    branches:
      - dev
  pull_request:
    branches:
      - main

jobs:
  build:
    runs-on: [ovh-vps-1, hiddenden]
    container:
      image: node:20-alpine
    steps:
      - name: Checkout
        uses: actions/checkout@v4

      - name: Install build deps
        run: apk add --no-cache python3 make g++

      - name: Install dependencies
        run: npm ci

      - name: Build
        run: npm run build
